Date.prototype.dateFormat = function(formatzeichen)
{
   const wtag = ["Sonntag", "Montag", "Dienstag",
      "Mittwoch", "Donnerstag", "Freitag", "Samstag"];
   let aus = "";

   for(let i=0; i<formatzeichen.length; i++)
      switch(formatzeichen[i])
      {
          case "w": aus += wtag[this.getDay()];           break;
          case "d": aus += this.getDate().format(2);      break;
          case "M": aus += (this.getMonth()+1).format(2); break;
          case "y": aus += this.getFullYear();            break;
          case "h": aus += this.getHours().format(2);     break;
          case "m": aus += this.getMinutes().format(2);   break;
          case "s": aus += this.getSeconds().format(2);   break;
          case "i": aus += this.getMilliseconds();        break;
          default:  aus += formatzeichen[i];
      }
   return aus;
}

Date.prototype.dateAdd = function(jahr, monat, tag, stunde, minute, sekunde)
{
   const zeit = new Date();
   zeit.setFullYear(this.getFullYear() + jahr);
   zeit.setMonth(this.getMonth() + monat);
   zeit.setDate(this.getDate() + tag);
   zeit.setHours(this.getHours() + stunde);
   zeit.setMinutes(this.getMinutes() + minute);
   zeit.setSeconds(this.getSeconds() + sekunde);
   return zeit;
}
